Bug 170946 - [patch] mark certain ports broken on ARM
[patch] mark certain ports broken on ARM
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Mark Linimon
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 00:10 UTC by Mark Linimon
Modified: 2012-09-04 04:10 UTC (History)
0 users

See Also:


Attachments
file.diff (9.90 KB, patch)
2012-08-24 00:10 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer 2012-08-24 00:10:01 UTC
I have recently started building packages for arm.  At the moment I am
building a very restricted subset due to how little hardware we have.

To keep from trying to build the same ports over and over, I'd like to
go ahead and mark some ports from the first few runs as BROKEN.  I will
be testing this both on arm and in combination with some other amd64
build, but I would like to give the maintainers a heads-up.  (I do not
expect the maintainers to take any action on fixing the problems; just
approval of the BROKEN line.)

Thanks.
Comment 1 Chris Rees freebsd_committer 2012-08-25 17:06:11 UTC
[CC list trimmed a little(?!)]

On 25 August 2012 16:27, Mikhail T. <mi+thun@aldan.algebra.com> wrote:
> On 23.08.2012 21:47, Eitan Adler wrote:
>>
>> NOT and ONLY are meant for ports which by definition will never work
>> another arch (think x86info).  In this case the ports are just broken.
>
> That's a fine distinction, that makes little sense to me -- the total number
> of ports, which can not ever work on some architecture is, probably, a
> couple dozen... It is also not mentioned in the Handbook
> <http://www.freebsd.org/doc/en/books/porters-handbook/dads-noinstall.html>
> at all:
>
>  *
>
>    If a port should be marked IGNORE only on certain architectures,
>    there are two other convenience variables that will automatically
>    set IGNORE for you: ONLY_FOR_ARCHS and NOT_FOR_ARCHS. Examples:
>
>    ONLY_FOR_ARCHS= i386 amd64
>    NOT_FOR_ARCHS= ia64 sparc64
>
>    A custom IGNORE message can be set using ONLY_FOR_ARCHS_REASON and
>    NOT_FOR_ARCHS_REASON. Per architecture entries are possible with
>    ONLY_FOR_ARCHS_REASON_/ARCH/ and NOT_FOR_ARCHS_REASON_/ARCH/.
>
> Thus, I still think, using these knobs is better -- especially, when doing
> otherwise requires splitting bsd.ports.mk into bsd.ports.{pre,post}.mk.
> Yours,

Nope.  Note that it says that it should be marked IGNORE, not BROKEN.

It's a big distinction; BROKEN means it is expected to be fixed at
some point, IGNORE means that it is not supposed to work this way.

Also, don't forget that package building runs are often done with
TRY_BROKEN, which is very helpful when doing !intel builds.

I will point out again though, that instead of pre/post.mk, the
simpler options.mk also brings in ${ARCH}....

Chris
Comment 2 linimon 2012-08-25 19:32:51 UTC
On Sat, Aug 25, 2012 at 05:06:11PM +0100, Chris Rees wrote:
> Also, don't forget that package building runs are often done with
> TRY_BROKEN, which is very helpful when doing !intel builds.

Well, I wouldn't say "often" :-)  But yes, this is the distinction: whether
or not we should even try to build it on the cluster in any circumstances.
(e.g. if it has not yet been ported to that architecture, ONLY_FOR is
the right thing AFAIC.)

The errorlog URLs that I should have included (note that they are a bit
disjoint):

  http://pointyhat-west.isc.freebsd.org/errorlogs/arm-errorlogs/e.9.20120812031641.pointyhat-west/index-category.html
  http://pointyhat-west.isc.freebsd.org/errorlogs/arm-errorlogs/e.9.20120818210612.pointyhat-west/index-category.html

Finally, I wanted to use this PR as kind of a heads-up to maintainers
that we had a new architecture up and going, so as to reduce the surprise.

mcl
Comment 3 mi+thun 2012-08-25 19:50:45 UTC
On 25.08.2012 12:06, Chris Rees wrote:
> It's a big distinction; BROKEN means it is expected to be fixed at
> some point, IGNORE means that it is not supposed to work this way.
>
> Also, don't forget that package building runs are often done with
> TRY_BROKEN, which is very helpful when doing !intel builds.
I see... Kinda silly, then, that more lines have to change to mark 
something temporarily broken, than to permanently ignore it...

On 25.08.2012 14:32, Mark Linimon wrote:
> Finally, I wanted to use this PR as kind of a heads-up to maintainers
> that we had a new architecture up and going, so as to reduce the surprise.
So, is there an ARM-machine (or a couple) on the cluster, where a 
committer can try this-and-that?

    -mi
Comment 4 dougb freebsd_committer 2012-08-26 19:40:34 UTC
On 08/25/2012 11:32, Mark Linimon wrote:
> Finally, I wanted to use this PR as kind of a heads-up to maintainers

So instead of doing that in a silly, roundabout, passive-aggressive way,
why not just do the thing you wanted to do in the first place?

-- 

    I am only one, but I am one.  I cannot do everything, but I can do
    something.  And I will not let what I cannot do interfere with what
    I can do.
			-- Edward Everett Hale, (1822 - 1909)
Comment 5 linimon 2012-08-28 00:24:03 UTC
In response to the question about "are there any arm machines in the
cluster" (sorry, I apparently have deleted the original): "not yet".
I am hoping to use what we have now to write up a propsal saying how
many machines we need, how we will have remote control for them, and
so forth.

mcl
Comment 6 dfilter freebsd_committer 2012-09-04 04:05:40 UTC
Author: linimon
Date: Tue Sep  4 03:05:23 2012
New Revision: 303634
URL: http://svn.freebsd.org/changeset/ports/303634

Log:
  Mark as broken on ARM.
  
  PR:		ports/170946
  Submitted by:	linimon
  Hat:		portmgr

Modified:
  head/databases/py-sqlite3/Makefile
  head/devel/gobject-introspection/Makefile
  head/devel/icu/Makefile
  head/devel/nspr/Makefile
  head/devel/qt4-moc/Makefile
  head/devel/qt4-rcc/Makefile
  head/devel/qt4-uic/Makefile
  head/graphics/cairo/Makefile
  head/mail/dovecot/Makefile
  head/mail/dovecot2/Makefile
  head/net-p2p/rtorrent/Makefile
  head/net/vnc/Makefile

Modified: head/databases/py-sqlite3/Makefile
==============================================================================
--- head/databases/py-sqlite3/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/databases/py-sqlite3/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -30,6 +30,10 @@ PYDISTUTILS_NOEGGINFO=	yes
 
 .include <bsd.port.pre.mk>
 
+.if ${ARCH} == "arm"
+BROKEN=		Does not install on arm
+.endif
+
 post-extract:
 .if ${PYTHON_REL} < 300
 	@${CP} ${FILESDIR}/setup.py ${WRKSRC}

Modified: head/devel/gobject-introspection/Makefile
==============================================================================
--- head/devel/gobject-introspection/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/devel/gobject-introspection/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -42,4 +42,10 @@ post-patch:
 	@${REINPLACE_CMD} -e "s|'cc'|'${CC:Q:C/[[:space:]]+/', '/g}'|g" \
 		${WRKSRC}/giscanner/sourcescanner.py
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} == "arm"
+BROKEN=		Does not compile on arm
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/devel/icu/Makefile
==============================================================================
--- head/devel/icu/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/devel/icu/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -64,6 +64,10 @@ PLIST_SUB+=	ICUMAJOR=${ICUMAJOR} ICUMINO
 
 .include <bsd.port.pre.mk>
 
+.if ${ARCH} == "arm"
+BROKEN=		Does not compile on arm
+.endif
+
 .if defined(WITHOUT_THREADS)
 CONFIGURE_ARGS+=	--enable-threads=no
 .else

Modified: head/devel/nspr/Makefile
==============================================================================
--- head/devel/nspr/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/devel/nspr/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -31,6 +31,10 @@ LIBS=		libnspr4.so.1 libplc4.so.1 libpld
 
 .include <bsd.port.pre.mk>
 
+.if ${ARCH} == "arm"
+BROKEN=		Does not compile on arm
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e 's,-lpthread,${PTHREAD_LIBS},g ; s,echo aout,echo elf,g' ${WRKSRC}/${CONFIGURE_SCRIPT}
 

Modified: head/devel/qt4-moc/Makefile
==============================================================================
--- head/devel/qt4-moc/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/devel/qt4-moc/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -54,4 +54,10 @@ pre-configure:
 pre-build:
 	cd ${BUILD_WRKSRC}/../bootstrap && ${MAKE}
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} == "arm"
+BROKEN=		Does not compile on arm
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/devel/qt4-rcc/Makefile
==============================================================================
--- head/devel/qt4-rcc/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/devel/qt4-rcc/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -53,4 +53,10 @@ pre-configure:
 pre-build:
 	cd ${BUILD_WRKSRC}/../bootstrap && ${MAKE}
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} == "arm"
+BROKEN=		Does not configure on arm
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/devel/qt4-uic/Makefile
==============================================================================
--- head/devel/qt4-uic/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/devel/qt4-uic/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -54,4 +54,10 @@ pre-configure:
 pre-build:
 	cd ${BUILD_WRKSRC}/../bootstrap && ${MAKE}
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} == "arm"
+BROKEN=		Does not configure on arm
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/graphics/cairo/Makefile
==============================================================================
--- head/graphics/cairo/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/graphics/cairo/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -49,6 +49,10 @@ OPTIONS+=	GL "Enable OpenGL Support" Off
 
 .include <bsd.port.pre.mk>
 
+.if ${ARCH} == "arm"
+BROKEN=		Does not compile on arm
+.endif
+
 .if defined(WITH_GL)
 USE_GL=		gl
 CONFIGURE_ARGS+=	--enable-gl

Modified: head/mail/dovecot/Makefile
==============================================================================
--- head/mail/dovecot/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/mail/dovecot/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -70,6 +70,10 @@ OPTIONS=	KQUEUE		"kqueue(2) support"	on 
 
 .include <bsd.port.pre.mk>
 
+.if ${ARCH} == "arm"
+BROKEN=		Does not build on arm
+.endif
+
 # Default requirement for dovecot rc script
 _REQUIRE=	LOGIN
 

Modified: head/mail/dovecot2/Makefile
==============================================================================
--- head/mail/dovecot2/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/mail/dovecot2/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -58,6 +58,10 @@ SOLR_DESC=	Solr FTS support
 
 .include <bsd.port.pre.mk>
 
+.if ${ARCH} == "arm"
+BROKEN=		Does not build on arm
+.endif
+
 # sed script for dovecot.conf
 REINPLACE=	s!%%PROTOCOLS%%!${PROTOCOLS}!g;\
 		s!/usr/!${PREFIX}/!g;\

Modified: head/net-p2p/rtorrent/Makefile
==============================================================================
--- head/net-p2p/rtorrent/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/net-p2p/rtorrent/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -37,6 +37,10 @@ OPTIONS=	XMLRPC "Compile with xmlrpc-c s
 
 .include <bsd.port.pre.mk>
 
+.if ${ARCH} == "arm"
+BROKEN=		Does not configure on arm
+.endif
+
 .if !defined(WITHOUT_XMLRPC)
 CONFIGURE_ARGS+=	--with-xmlrpc-c
 LIB_DEPENDS+=	xmlrpc.3:${PORTSDIR}/net/xmlrpc-c-devel

Modified: head/net/vnc/Makefile
==============================================================================
--- head/net/vnc/Makefile	Tue Sep  4 03:01:19 2012	(r303633)
+++ head/net/vnc/Makefile	Tue Sep  4 03:05:23 2012	(r303634)
@@ -44,6 +44,10 @@ PREFIX=${REALVNC_BASE}
 
 .include <bsd.port.pre.mk>
 
+.if ${ARCH} == "arm"
+BROKEN=		Does not compile on arm
+.endif
+
 .if !defined(WITHOUT_SERVER)
 MASTER_SITES+=	${MASTER_SITE_XORG:S/$/:x/}
 MASTER_SITE_SUBDIR+=	4.3.0/:x
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Mark Linimon freebsd_committer 2012-09-04 04:06:31 UTC
State Changed
From-To: open->closed
Comment 8 Mark Linimon freebsd_committer 2012-09-04 04:06:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon